## org.gnu.atk
Class StateSet

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.atk.StateSet

public class StateSet
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`StateSet()`
`StateSet(Handle handle)`

Method Summary
`boolean` `addState(StateType type)`
`void` `addStates(StateType[] types)`
`protected static boolean` `atk_state_set_add_state(Handle set, int type)`
`protected static void` `atk_state_set_add_states(Handle set, int[] types)`
`protected static Handle` `atk_state_set_and_sets(Handle set, Handle compareSet)`
`protected static void` `atk_state_set_clear_states(Handle set)`
`protected static boolean` `atk_state_set_contains_state(Handle set, int type)`
`protected static boolean` `atk_state_set_contains_states(Handle set, int[] types)`
`protected static int` `atk_state_set_get_type()`
`protected static boolean` `atk_state_set_is_empty(Handle set)`
`protected static Handle` `atk_state_set_new()`
`protected static Handle` `atk_state_set_or_sets(Handle set, Handle compareSet)`
`protected static boolean` `atk_state_set_remove_state(Handle set, int type)`
`protected static Handle` `atk_state_set_xor_sets(Handle set, Handle compareSet)`
`void` `clearStates()`
`boolean` `containsState(StateType type)`
`boolean` `containsStates(StateType[] types)`
`boolean` `isEmpty()`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateSet

    public StateSet()

### StateSet

    public StateSet(Handle handle)

Method Detail

### isEmpty

    public boolean isEmpty()

### addState

    public boolean addState(StateType type)

### addStates

    public void addStates(StateType[] types)

### clearStates

    public void clearStates()

### containsState

    public boolean containsState(StateType type)

### containsStates

    public boolean containsStates(StateType[] types)

### atk_state_set_get_type

    protected static final int atk_state_set_get_type()

### atk_state_set_new

    protected static final Handle atk_state_set_new()

### atk_state_set_is_empty

    protected static final boolean atk_state_set_is_empty(Handle set)

### atk_state_set_add_state

    protected static final boolean atk_state_set_add_state(Handle set,
                                                           int type)

### atk_state_set_add_states

    protected static final void atk_state_set_add_states(Handle set,
                                                         int[] types)

### atk_state_set_clear_states

    protected static final void atk_state_set_clear_states(Handle set)

### atk_state_set_contains_state

    protected static final boolean atk_state_set_contains_state(Handle set,
                                                                int type)

### atk_state_set_contains_states

    protected static final boolean atk_state_set_contains_states(Handle set,
                                                                 int[] types)

### atk_state_set_remove_state

    protected static final boolean atk_state_set_remove_state(Handle set,
                                                              int type)

### atk_state_set_and_sets

    protected static final Handle atk_state_set_and_sets(Handle set,
                                                         Handle compareSet)

### atk_state_set_or_sets

    protected static final Handle atk_state_set_or_sets(Handle set,
                                                        Handle compareSet)

### atk_state_set_xor_sets

    protected static final Handle atk_state_set_xor_sets(Handle set,
                                                         Handle compareSet)